# Fetch Release Summary

Fetch a list of releases based on the specified time ranges, optional filters, and search query.

Endpoint: POST /rmg/api/release/summary
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `searchTerm` (string)
    Optional search string to filter releases by name.

  - `releaseGroupIds` (array)
    Optional list of release group IDs to filter by

  - `type` (string)
    Optional release type filter (Orchestration or Tracking)
    Enum: "Orchestration", "Tracking"

## Request fields (application/json):

  - `timeRanges` (array)

  - `timeRanges.startTime` (integer, required)

  - `timeRanges.endTime` (integer, required)

  - `timeRanges.cursor` (string)

  - `timeRanges.limit` (integer)

## Response 200 fields (application/json):

  - `releases` (array, required)

  - `releases.id` (string, required)
    Unique identifier for the release

  - `releases.name` (string, required)
    Name of the release

  - `releases.identifier` (string, required)
    Identifier for the release

  - `releases.expectedStartTs` (integer, required)
    Expected start timestamp in milliseconds

  - `releases.expectedEndTs` (integer, required)
    Expected end timestamp in milliseconds

  - `releases.actualStartTs` (integer)
    Actual start timestamp in milliseconds

  - `releases.actualEndTs` (integer)
    Actual end timestamp in milliseconds

  - `releases.status` (string, required)
    Current status of the release
    Enum: "Running", "Success", "Failed", "Scheduled", "Paused", "Aborted", "InputWaiting"

  - `releases.version` (string, required)
    Version of the release

  - `releases.color` (string, required)
    Hex color code representing the release

  - `releases.releaseGroupId` (string, required)
    Identifier for the release group

  - `releases.hasConflict` (boolean)
    Whether the release has a conflict

  - `releases.processIdentifier` (string)
    Identifier for the orchestration process.

  - `releases.processInputIdentifier` (string)
    Identifier for the orchestration process input.

  - `nextRequest` (array, required)

  - `last` (boolean)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


